base-4.8.1.0: Basic libraries

Safe Haskell | Safe
Language | Haskell2010

GHC.SrcLoc

Contents

- Pretty printing

Synopsis

- data SrcLoc
- srcLocPackage :: SrcLoc -> String
- srcLocModule :: SrcLoc -> String
- srcLocFile :: SrcLoc -> String
- srcLocStartLine :: SrcLoc -> Int
- srcLocStartCol :: SrcLoc -> Int
- srcLocEndLine :: SrcLoc -> Int
- srcLocEndCol :: SrcLoc -> Int
- showSrcLoc :: SrcLoc -> String

# Documentation

data SrcLoc Source

A single location in the source code.

Instances

Eq SrcLoc |
Show SrcLoc |

srcLocPackage :: SrcLoc -> String Source

srcLocModule :: SrcLoc -> String Source

srcLocFile :: SrcLoc -> String Source

srcLocStartLine :: SrcLoc -> Int Source

srcLocStartCol :: SrcLoc -> Int Source

srcLocEndLine :: SrcLoc -> Int Source

srcLocEndCol :: SrcLoc -> Int Source

# Pretty printing

showSrcLoc :: SrcLoc -> String Source